#
# spec file for package sidplayfp
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2023-2024, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sidplayfp
Version:        2.10.0
Release:        1.1
Summary:        SID chip music module player
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Players
#Git-Clone:     https://github.com/libsidplayfp/sidplayfp.git
URL:            https://sourceforge.net/projects/sidplay-residfp/
Source0:        https://sourceforge.net/projects/sidplay-residfp/files/sidplayfp/2.10/sidplayfp-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libsidplayfp)
BuildRequires:  pkgconfig(libstilview)

%description
A player for playing SID music modules originally created on the Commodore 64
and compatibles.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%check

%files
%license COPYING
%doc AUTHORS README TODO
%{_bindir}/sidplayfp
%{_bindir}/stilview
%{_mandir}/man1/sidplayfp.1%{?ext_man}
%{_mandir}/man1/stilview.1%{?ext_man}
%{_mandir}/man5/sidplayfp.ini.5%{?ext_man}

%changelog
* Sun Oct  6 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 2.10.0
  * Added support for muting samples.
  * Allow setting filter range from command line.
* Sun Aug 25 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 2.9.0
  * Use correct freq table when using custom speed.
  * Updated filter presets from libSidplayEZ.
  * Capitalize filterRange6581 .ini parameter.
  * Fixed docs for -o option.
  * Reworked player logic, fixes looping.
* Sat Jun 15 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 2.8.0
  * be explicit if Songlenth DB is not loaded.
  * look for Songlengths file in data path.
  * require a c++11 compiler.
  * added sanity check for filter parameters.
* Fri Mar 29 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 2.7.0
  * added ability to adjust the uCox parameter.
  * allow setting the combined waveforms strength.
  * enable libout123 by default if found.
  * improved the ALSA backend.
* Tue Jan 16 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 2.6.2
  * Update m4 macro, fixes an issue with autoconf 2.72.
* Mon Jan  1 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 2.6.0
  * Added filter curve switch plus recommended 6581 filter setting.
* Sat Dec 23 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 2.5.1
  * Get rid of PATH_MAX (#24).
* Thu Jul  6 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 2.5.0
  * Correctly detect notes (fixes #21)
  * display config file location in high verbose mode
  * stilview: handle character conversion
  * some work toward making playback exact to millisecond (#4)
* Sun Mar 19 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 2.4.1
  * A few iconv fixes
* Tue Feb 14 2023 Martin Hauke <mardnh@gmx.de>
- Initial package, version 2.4.0
